# Bound_Ptr.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/Bound_Ptr.inl"`

Include dependency graph for Bound_Ptr.h:

## Classes

class | ACE_Bound_Ptr_Counter< ACE_LOCK >
| An ACE_Bound_Ptr_Counter<ACE_LOCK> object encapsulates an object reference count. More...
class | ACE_Strong_Bound_Ptr< X, ACE_LOCK >
| This class implements support for a reference counted pointer. More...
class | ACE_Weak_Bound_Ptr< X, ACE_LOCK >
| This class implements support for a weak pointer that complements ACE_Strong_Bound_Ptr. More...

## Detailed Description

Id
  Bound_Ptr.h,v 4.10 2005/10/28 16:14:51 ossama Exp

Author:
  Christopher Kohlhoff <chris@kohlhoff.com>